FTOS_CB_AddUpdateRepaymentNotification
Adds or updates a manual repayment notification record in the FTOS_CB_RepaymentNotification entity representing repayment notification for a contract. The set of parameters sent via the request body determines the operation performed at the database level.
Syntax
The FTOS_CB_AddUpdateRepaymentNotification custom endpoint is called from within the Endpoint API endpoint. Visit the Endpoint API page for more details.
POST <host_address>/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateRepaymentNotification
Content-Type: application/json
{
"notificationNo": "<notification_number>",
"customerNo": "<customer_number>",
"currencyCode": "<currency_code>",
"contractNo": "<contract_number>",
"sourceBankAccount": "<source_bank_account_number>",
"notificationDate": "<notification_date_yyyy_mm_dd>",
"maturityDate": "<maturity_date_yyyy_mm_dd>"
}
Here's a list of the available parameters:
| Parameter | Description |
|---|---|
| host_address | URL of the FintechOS Platform server. |
| notificationNo | The number of the repayment notification. To create a new record, do NOT send this parameter. To update an existing record, fill and send this parameter in the request. |
| customerNo | Mandatory. The number of the customer, customerNo in the Account entity. |
| currencyCode | Mandatory. The code of the currency used in the repayment notification. |
| contractNo | The number of the contract. |
| sourceBankAccount | Mandatory. The source bank account which will receive the transaction |
| notificationDate | Mandatory. The date of the notification. |
| maturityDate | The notification's maturity date. |
Response
The response indicates the result of the code execution, specifically the result of creating or updating a record in the FTOS_CB_RepaymentNotification entity. If the record is created or updated successfully, its notification number is returned.
Example
To create a new record, do not fill or send the notificationNo parameter.
Request
POST https://FintechOSStudio/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateRepaymentNotification
Content-Type: application/json
{
"notificationNo": "",
"customerNo": "691",
"currencyCode": "EUR",
"contractNo": "7805",
"sourceBankAccount": "FIN000003640",
"notificationDate": "2022-06-16",
"maturityDate": "2022-06-16"
}
Response
{
"IsSuccess": true,
"NotificationNo": "59102"
}
To update an existing record, fill and send the parameter with the desired value.notificationNo
Request
POST https://FintechOSStudio/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateRepaymentNotification
Content-Type: application/json
{
"notificationNo": "59102",
"customerNo": "691",
"currencyCode": "EUR",
"contractNo": "7805",
"sourceBankAccount": "FIN000003640",
"notificationDate": "2022-06-17",
"maturityDate": "2022-06-17"
}
Response
{
"IsSuccess": true,
"NotificationNo": "59102"
}